unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ScktComp, StdCtrls, xmldom, XMLIntf, msxmldom, XMLDoc,
  IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient, IdHTTP;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    Edit2: TEdit;
    Label2: TLabel;
    Button1: TButton;
    ClientSocket1: TClientSocket;
    Button2: TButton;
    XMLDocument1: TXMLDocument;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure ClientSocket1Connecting(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button2Click(Sender: TObject);
    procedure ClientSocket1Read(Sender: TObject; Socket: TCustomWinSocket);
    procedure ClientSocket1Connect(Sender: TObject;
      Socket: TCustomWinSocket);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
Clientsocket1.Address:=edit2.Text;        //Piad adresu
Clientsocket1.Port:=strtoint(edit1.Text);                //Piad port
Clientsocket1.ClientType:=ctNonBlocking;   //Nastav typ spojen
Clientsocket1.Active:=true;    //Spoj se se serverem

end;

procedure TForm1.ClientSocket1Connecting(Sender: TObject;
  Socket: TCustomWinSocket);
begin
Caption:='Client se pripojuje';     //Oznm e se pipojuje
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
clientsocket1.Close;   //Pi uzaven formule se mus uzavt i spojen
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
close;        //Konec
end;

procedure TForm1.ClientSocket1Read(Sender: TObject;
  Socket: TCustomWinSocket);
var i:integer;      //loopov promnn
    text:string;    //pomocn promnn
begin
text:=clientsocket1.Socket.ReceiveText;       //Nate text, kter poslas server

If pos('HTTP/1.0 200 OK',text)<>0 then
        begin
        memo1.Text:=text;
        memo1.Lines.Delete(0);  //Omlouvam se za spusob, ale jinak mi to smazat neslo...
        memo1.Lines.Delete(0);
        memo1.Lines.Delete(0);
        memo1.Lines.Delete(0);
        memo1.Lines.Delete(0);
        memo1.Lines.Delete(0);
        memo1.Lines.Delete(0);
        memo1.Lines.Delete(0);
        memo1.Lines.SaveToFile('temp.xml');
        {xmldocument1.FileName:='temp.xml';
        xmldocument1.Active:=true; }
        end
        else Begin
             memo1.text:=memo1.text+text;
             if pos('</SeznamStanic>',text)<>0 then
                Begin
                memo1.Lines.SaveToFile('temp.xml');
                memo1.Lines.Clear;
                memo1.Lines.LoadFromFile('temp.xml');
                xmldocument1.FileName:='temp.xml';
                xmldocument1.Active:=true;
                for i:= 2 to xmldocument1.DocumentElement.ChildNodes.Count-1 do
                        Begin
                        form2.ComboBox1.Items.Add(xmldocument1.DocumentElement.ChildNodes.Get(i).nodevalue);
                        form2.ComboBox2.Items.Add(xmldocument1.DocumentElement.ChildNodes.Get(i).nodevalue);
                        form2.ComboBox3.Items.Add(xmldocument1.DocumentElement.ChildNodes.Get(i).nodevalue);
                        End;

                End;
             End;

end;

procedure TForm1.ClientSocket1Connect(Sender: TObject;            
  Socket: TCustomWinSocket);
begin
Caption:='Client se pripojil k serveru';
clientsocket1.Socket.SendText('GET /SeznamStanic HTTP/1.0'+#13+#10+#13+#10+#13+#10);
form2.show;
end;

end.
